# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\LanguageLabel:
  - {name: '[xc_atd] ATD', translations: [{code: en, label: 'ATD'}]}
  - {name: '[xc_atd] action settings enter your credentials', translations: [{code: en, label: 'enter your credentials'}]}
  - {name: '[xc_atd] Alert - create account', translations: [{code: en, label: 'Enter your information, and save the changes. If you don’t have these, contact <a target="_blank" href="https://www.atd.com/contactus">ATD</a>.'}]}
  - {name: '[xc_atd] API Credentials', translations: [{code: en, label: 'API Credentials'}]}
  - {name: '[xc_atd] ATD Vehicle Provider name', translations: [{code: en, label: 'ATD'}]}
  - {name: '[xc_atd] Brands data import in progress', translations: [{code: en, label: 'Brands data import in progress'}]}
  - {name: '[xc_atd] Brands data import is started', translations: [{code: en, label: 'Brands data import is started'}]}
  - {name: '[xc_atd] Info tooltip (brand not authorized)', translations: [{code: en, label: 'You are not allowed to import products from this brand.'}]}
  - {name: '[xc_atd] Info tooltip (no selected categories)', translations: [{code: en, label: 'Before you start importing products, click "Configure" button, and select categories to be imported.'}]}
  - {name: '[xc_atd] Failed to import vehicles. {{errorMessage}}', translations: [{code: en, label: 'Failed to import vehicles. {{errorMessage}}'}]}
  - {name: '[xc_atd] Test mode', translations: [{code: en, label: 'Test mode'}]}
  - {name: '[xc_atd] trial mode notice', translations: [{code: en, label: 'ATD integration is in trial mode and allows importing no more than {{limit}} products for each brand.'}]}
  - {name: '[xc_atd] Vehicle data import completed', translations: [{code: en, label: 'Vehicle data import completed'}]}
  - {name: '[xc_atd] Location number', translations: [{code: en, label: 'Location number'}]}
  - {name: '[xc_atd] Location number help', translations: [{code: en, label: "A unique number assigned by ATD to a dealer's physical location."}]}
  - {name: '[xc_atd] Shipping Settings', translations: [{code: en, label: 'Shipping Settings'}]}
  - {name: '[xc_atd] Default shipping method', translations: [{code: en, label: 'Default shipping method'}]}
  - {name: '[xc_atd] shipping method help', translations: [{code: en, label: 'Select the option that will be used for shipping orders from ATD to your customers'}]}
  - {name: '[xc_atd] Lowest cost', translations: [{code: en, label: 'Lowest cost'}]}
  - {name: '[xc_atd] UPS Ground', translations: [{code: en, label: 'UPS Ground'}]}
  - {name: '[xc_atd] FedEx Ground', translations: [{code: en, label: 'FedEx Ground'}]}
  - {name: '[xc_atd] ATD location owner name', translations: [{code: en, label: 'ATD'}]}
  - {name: '[xc_atd] ATD order creation failed', translations: [{code: en, label: 'ATD order creation failed. See X-Cart logs for more details.'}]}
  - {name: '[xc_atd] Customer: ATD order creation failed', translations: [{code: en, label: 'Your order was cancelled, sorry. Please contact the store admin for details.'}]}
  - {name: '[xc_atd] Customer: ATD preview order failed', translations: [{code: en, label: 'Your order can not be created, sorry. Please contact the store admin for details.'}]}
  - {name: '[xc_atd] Vehicles setup warning', translations: [{code: en, label: '<p>Your are about to import vehicles from ATD. Note that in this case you will be able to use ATD in STANDALONE mode ONLY.</p><p>If you wish to use it together with other catalog providers and warehouse distributors, DO NOT import vehicles from ATD and <a href="mailto:support@x-cart.com">contact our support team</a>.<p>'}]}
  - {name: '[xc_atd] Vehicles setup warning header', translations: [{code: en, label: 'Note: importing vehicles from ATD limits it to standalone mode'}]}
  - {name: '[xc_atd] Import vehicles from ATD', translations: [{code: en, label: 'Import vehicles from ATD'}]}
  - {name: '[xc_atd] Tracking numbers will be obtained from ATD', translations: [{code: en, label: 'Tracking numbers will be obtained from ATD'}]}
  - {name: '[xc_atd] Get tracking numbers', translations: [{code: en, label: 'Get tracking numbers'}]}
  - {name: '[xc_atd] ATD update order details failed', translations: [{code: en, label: 'ATD update order details failed. See X-Cart logs for more details.'}]}
  - {name: '[xc_atd] Auth token', translations: [{code: en, label: 'Auth token'}]}
  - {name: '[xc_atd] Auth token help', translations: [{code: en, label: 'Contact <a target="_blank" href="https://www.x-cart.com/contact">X-Cart team</a> to get your Auth token'}]}

XLite\Model\Task:
  - owner: XC\ATD\Core\Task\AtdOrderDetailsTask
